apiVersion: service.aep.asag.io/v1
kind: Definition
metadata:
  name: minio-0.0.1
  namespace: asag
spec:
  clusters:
    - flags:
        - from: value
          key: v1_role
          to: label
          value: minio
        - from: value
          key: delay_final_config
          to: annotation
          value: true
      name: minio
      podspec:
        containers:
          - image: aep/base_jammy
            name: minio
      provides:
        - exposed: true
          name: minio
          network: loadbalanced
          servicespec:
            ports:
              - name: minio
                port: 9000
                protocol: TCP
                targetPort: 9000
      sizing:
        increment: 1
        initial: 3
        maximum: 10
        minimum: 1
  dependencies:
    operator:
      name: minio-operator
      vendor: asag
      version: 0.0.1
  includes:
    - name: defaults-service
      vendor: asag
      version: 0.3.1
  name: minio
  settings:
    - name: environment
      schema:
        default: minio_prod
  version: 0.0.1
